Untitled

mail@pastecode.io avatar
unknown
plain_text
3 years ago
1.1 kB
2
Indexable
Never
require_relative '../node_modules/react-native/scripts/react_native_pods'
require_relative '../node_modules/@react-native-community/cli-platform-ios/native_modules'

platform :ios, '10.0'

target 'SuperFM' do
  config = use_native_modules!

  use_react_native!(
    :path => config[:reactNativePath],
    # to enable hermes on iOS, change `false` to `true` and then install pods
    :hermes_enabled => false
  )

   pod 'React-RCTText', :path => '../node_modules/react-native/Libraries/Text', :modular_headers => true

  target 'SuperFMTests' do
    inherit! :complete
    # Pods for testing
  end

  # Enables Flipper.
  #
  # Note that if you have use_frameworks! enabled, Flipper will not work and
  # you should disable the next line.
  use_flipper!()

      #post_install do |installer|
    #react_native_post_install(installer)  
  #end  

  post_install do |pi|
     pi.pods_project.targets.each do |t|
         t.build_configurations.each do |bc|
             bc.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '10.0'
         end
     end
  end
end